Moolre Documentation

API Reference / Bulk payouts

List bulk payouts

POSThttps://api.moolre.com/open/transact/bulk_list

List recent bulk payout batches for a wallet, newest first, with cursor pagination.

Headers

  • X-API-USER string required

    Your Moolre username.

  • X-API-KEY string required

    Your wallet private API key. A public key is refused.

Body parameters

  • accountnumber string required

    Your Moolre wallet account number.

  • limit integer optional

    Batches per page, 1 to 100. Default 25.

  • starting_after string optional

    A batchid: send next_cursor from the previous page to read the next one.

  • status string optional

    Batch filter: queued, processing or completed.

Responses

200 Success

A page of batch summaries (without items), with cursor fields.

{  "status": 1,  "code": "BLK31",  "message": "Batches found.",  "data": {    "batches": [      {        "batchid": "bat_3f9c2a1d7e5b4c60",        "batchref": "PAYROLL-2026-11",        "accountnumber": "1000000000001",        "currency": "GHS",        "status": "processing",        "unresolved": false,        "total_amount": "150.00",        "balance_warning": false,        "counts": {          "total": 2,          "queued": 0,          "submitted": 1,          "pending": 0,          "succeeded": 1,          "failed": 0        },        "succeeded_amount": "100.00",        "failed_amount": "0.00",        "rejected_items": 1,        "created": "2026-11-15T09:00:00Z",        "started": "2026-11-15T09:00:40Z",        "completed": null      }    ],    "has_more": false,    "next_cursor": null  },  "go": null,  "meta": {    "requestid": "req_c68f4c66115c26725c796242",    "notices": []  }}